import Paginator from 'primevue/paginator';
const __VLS_props = withDefaults(defineProps(), { pageSizes: () => [20, 50, 100], disabled: false });
const emit = defineEmits();
const __VLS_defaults = { pageSizes: () => [20, 50, 100], disabled: false };
const __VLS_ctx = {
    ...{},
    ...{},
    ...{},
    ...{},
    ...{},
};
let __VLS_components;
let __VLS_intrinsics;
let __VLS_directives;
let __VLS_0;
/** @ts-ignore @type { | typeof __VLS_components.Paginator} */
Paginator;
// @ts-ignore
const __VLS_1 = __VLS_asFunctionalComponent1(__VLS_0, new __VLS_0({
    ...{ 'onPage': {} },
    first: ((__VLS_ctx.page - 1) * __VLS_ctx.pageSize),
    rows: (__VLS_ctx.pageSize),
    totalRecords: (__VLS_ctx.total),
    rowsPerPageOptions: (__VLS_ctx.pageSizes),
    disabled: (__VLS_ctx.disabled),
}));
const __VLS_2 = __VLS_1({
    ...{ 'onPage': {} },
    first: ((__VLS_ctx.page - 1) * __VLS_ctx.pageSize),
    rows: (__VLS_ctx.pageSize),
    totalRecords: (__VLS_ctx.total),
    rowsPerPageOptions: (__VLS_ctx.pageSizes),
    disabled: (__VLS_ctx.disabled),
}, ...__VLS_functionalComponentArgsRest(__VLS_1));
let __VLS_5;
const __VLS_6 = {
    /** @type {typeof __VLS_5.page} */
    onPage: (...[$event]) => {
        return (__VLS_ctx.emit('pageChange', { page: $event.page + 1, pageSize: $event.rows }));
        // @ts-ignore
        [page, pageSize, pageSize, total, pageSizes, disabled, emit,];
    },
};
var __VLS_7;
var __VLS_3;
var __VLS_4;
// @ts-ignore
[];
const __VLS_export = (await import('vue')).defineComponent({
    __typeEmits: {},
    __typeProps: {},
    props: {},
});
export default {};
